Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Stephen Berman <[email-masked]>
Date: Wed, 18 Nov 2015 21:57:19 +0100

On Wed, 18 Nov 2015 09:44:04 -0800 John Wiegley <[email-masked]> wrote:

> By my count today, there are 461 byte-compilation warnings on the emacs-25
> branch. This issue is here as a release blocker to deal with, or silence,
> these warnings.
[...]
> calendar/todo-mode.el:4664:24:Warning: looking-back called with 1 argument,

I'll take care of this before the release.

> obsolete/otodo-mode.el:928:1:Warning: global/dynamic var ‘date’ lacks a prefix
> obsolete/otodo-mode.el:929:1:Warning: global/dynamic var ‘entry’ lacks a

I think fixing these would require backward incompatible changes in
diary-lib.el which would break external code.  Since this file is an
obsolete version of Todo mode, I hope these warnings aren't considered
blockers.

Steve Berman